import request from '@/utils/request'

/**
* 保存答案
* @param {*} data
* @returns
*/
export const saveAnswer = (data) => request({
  url: '/admin/answer',
  method: 'post',
  data
})

/**
 * 答案列表
 * @param {*} params
 * @returns
 */
export const getAnswerList = (params) => request({
  url: '/admin/answer', params
})

/**
 * 删除答案
 * @param {*} data
 * @returns
 */
export const deleteAnswer = (id) => request({
  url: `/admin/answer/${id}`, method: 'delete'
})
/**
 * 更新答案
 * @param {*} data
 * @returns
 */
export const UpdateAnswer = (data, id) => request({
  url: `/admin/answer/${id}`, method: 'put', data
})
/**
 * 查询答案详情
 * @param {*} params
 * @returns
 */
export const getAnswerDetail = (id, params) => request({
  url: `/admin/answer/${id}`, params
})
